> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myrouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling V2.6 Pro Text-to-Video

This is an async API that only returns the `task_id` of the async task.

<Tip>
  This is an **async** API that only returns the task\_id of the async task. Use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated result.
</Tip>

## Request Headers

<ParamField header="Content-Type" type="string" required={true}>
  Enum: `application/json`
</ParamField>

<ParamField header="Authorization" type="string" required={true}>
  Bearer authentication format: Bearer \{\{API Key}}.
</ParamField>

## Request Body

<ParamField body="sound" type="boolean" default={true}>
  Whether to generate audio along with the video.
</ParamField>

<ParamField body="prompt" type="string" required={true}>
  Positive prompt text for video generation. Maximum 2500 characters.
</ParamField>

<ParamField body="duration" type="integer" default={5}>
  Duration of the generated media in seconds.

  Possible values: `5`, `10`
</ParamField>

<ParamField body="cfg_scale" type="number" default={0.5}>
  Controls the flexibility of video generation. Higher values make the generated content adhere more closely to the prompt.

  Range: \[0, 1]
</ParamField>

<ParamField body="aspect_ratio" type="string" default="1:1">
  Aspect ratio of the generated video.

  Possible values: `16:9`, `9:16`, `1:1`
</ParamField>

<ParamField body="negative_prompt" type="string">
  Negative prompt. Maximum 2500 characters.
</ParamField>

## Response

<ResponseField name="task_id" type="string" required={true}>
  Use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated output.
</ResponseField>
